#!/bin/bash

echo "install dependencies"

source ./gitlab-ci/shared.sh
pwd

# install pre-req for obuspa-3
exec_cmd apt update
exec_cmd apt install -y software-properties-common
exec_cmd apt-add-repository ppa:mosquitto-dev/mosquitto-ppa -y -u
exec_cmd apt install -y libmosquitto-dev mosquitto mosquitto-clients
exec_cmd apt install -y libwebsockets-dev

# install rabitmq
dpkg -s rabbitmq-server > /dev/null 2>&1
if [ "$?" -ne 0 ]; then
	exec_cmd apt install -y rabbitmq-server

	# configure rabitmq
	/etc/init.d/rabbitmq-server restart
	rabbitmqctl add_user admin password 
	rabbitmqctl set_user_tags admin administrator
	rabbitmqctl set_permissions -p / admin ".*" ".*" ".*"
	rabbitmq-plugins enable rabbitmq_stomp
fi

# install uspd
cd /opt/dev  
[ -d uspd ] && rm -fr uspd 
exec_cmd git clone https://dev.iopsys.eu/iopsys/uspd.git
cd uspd
#exec_cmd git checkout origin/transaction_id
exec_cmd ./gitlab-ci/install-dependencies.sh
exec_cmd ./gitlab-ci/setup.sh
exec_cmd make
exec_cmd cp uspd /usr/sbin/uspd

# install obuspa_test_controller
[ -f /tmp/usp.db ] && rm /tmp/usp.db
[ -f /tmp/test_usp.db ] && rm /tmp/test_usp.db

cd /opt/dev/
[ -d obuspa-test-controller ] && rm -fr obuspa-test-controller
exec_cmd git clone -b devel https://dev.iopsys.eu/fork/obuspa-test-controller.git

cd obuspa-test-controller
exec_cmd autoreconf --install --force
exec_cmd ./configure
exec_cmd make
exec_cmd cp -f obuspa /usr/local/bin/obuspa_test
